Package Details: ocropy-git 737.8b88583-1

Git Clone URL: https://aur.archlinux.org/ocropy-git.git (read-only)
Package Base: ocropy-git
Description: Python-based OCR package using recurrent neural networks (formerly ocropus)
Upstream URL: https://github.com/tmbdev/ocropy
Licenses: Apache
Conflicts: ocropy
Provides: ocropy
Submitter: stativ
Maintainer: stativ
Last Packager: stativ
Votes: 12
Popularity: 0.000000
First Submitted: 2015-02-22 20:53
Last Updated: 2015-06-20 14:58

Latest Comments

« First ‹ Previous 1 2 3 4 Next › Last »

Anonymous comment on 2012-06-14 16:19

pytables & scipy dependencies are missing

Anonymous comment on 2012-06-13 10:39

Fixed, thanks for reporting.
It remains a mystery how could it work for me before :)

Anonymous comment on 2012-06-12 13:40

The same error here: Unable to find 'iulib.i'

Anonymous comment on 2012-06-11 16:42



I get the following error when trying to build ocropus-hg 46-2:

g++ -I/tmp/yaourt-tmp-dnoskov/aur-ocropus-hg/pkg/usr/include -L/tmp/yaourt-tmp-dnoskov/aur-ocropus-hg/pkg/usr/lib -fPIC -g -O4 -c -o pagesegs.o pagesegs.cc
ar cr libocrorast.a wrappers.o line-info.o linesegs.o log-reg-data.o ocr-char-stats.o ocr-classify-zones.o ocr-color-encode-layout.o ocr-ctextline-rast-extended.o ocr-ctextline-rast.o ocr-deskew-rast.o ocr-detect-columns.o ocr-detect-paragraphs.o ocr-doc-clean-concomp.o ocr-doc-clean.o ocr-extract-gutters.o ocr-extract-rulings.o ocr-layout-1cp.o ocr-layout-rast.o ocr-layout-rast1.o ocr-layout-smear.o ocr-noisefilter.o ocr-pageframe-rast.o ocr-pageseg-wcuts.o ocr-pageseg-xycut.o ocr-reading-order.o ocr-segmentations.o ocr-text-image-seg.o ocr-utils.o ocr-visualize-layout-rast.o ocr-whitespace-cover.o ocr-word-segmentation.o pagesegs.o
running build_ext
building '_ocrorast' extension
swigging ocrorast.i to ocrorast_wrap.cpp
swig -python -c++ -I/usr/local/include -I/usr/lib/python2.7/site-packages/numpy/core/include -o ocrorast_wrap.cpp ocrorast.i
ocrorast.i:67: Error: Unable to find 'iulib.i'
error: command 'swig' failed with exit status 1

Anonymous comment on 2012-06-08 13:10

Updated to reflect changes in 0.5.
The model files are now in ocropus-data-hg package.

For some reason, just doing "ocropus foo.png" doesn't produce hOCR output for me, even though it supposedly runs ocropus-hocr. But manually running ocropus-hocr afterwards works, for example: "ocropus-hocr _book-018961", where _book-018961 is the temp directory that ocropus created.

jmx commented on 2012-05-12 12:05

I receive the same build error as PaterSiuls did. Any suggestions how to proceed?

PaterSiul commented on 2012-04-10 17:00

DoDoENTs tip let me compile iulib as expected, but now there is a problem with ocrorast:

ocr-reading-order.cc: In member function 'void ReadingOrderByTopologicalSort::sortTextlines(colib::narray<TextLine>&, colib::rectarray&, colib::rectarray&, colib::rectarray&, CharStats&)':
ocr-reading-order.cc:179:14: error: redeclaration of 'line l'
ocr-reading-order.cc:178:17: error: 'int l' previously declared here
make: *** [ocr-reading-order.o] Error 1

DoDoENT commented on 2012-04-03 14:34

In package iulib, file SConstruct:
change line 64 from:
assert conf.CheckLibWithHeader('tiff', 'tiff.h', 'C', 'TIFFHeader;', 1), "please install: libtiff4-dev"
to:
assert conf.CheckLibWithHeader('tiff', 'tiff.h', 'C', 'TIFFHeaderCommon;', 1), "please install: libtiff4-dev"

Build with scons (not with scons sdl=1). Worked for me for building iulib (haven't tried building ocropus yet).

Anonymous comment on 2012-04-03 11:11

Confirmed.
The problem is, after this is fixed, it still doesn't compile...
Unfortunately, I don't have time for this now.

PaterSiul commented on 2012-04-03 11:08

iulib doesn't compile. Message is:

scons: Reading SConscript files ...
compiling with high optimization
Checking for png_byte in C library png... yes
Checking for jpeg_std_error() in C library jpeg... yes
Checking for TIFFHeader in C library tiff... no
AssertionError: please install: libtiff4-dev:
File "/tmp/yaourt-tmp-user/aur-ocropus-hg/src/ocropus-build/iulib/SConstruct", line 64:
assert conf.CheckLibWithHeader('tiff', 'tiff.h', 'C', 'TIFFHeader;', 1), "please install: libtiff4-dev"

It seems to be a problem with Arch's bleeding edge approach in combination with a dependency on an old version of libtiff in iulib: our tiff.h no longer has TIFFHeader but TIFFHeaderCommon, -Classic and -Big.